Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TOperation

    java.lang.Object
      org.apache.cxf.wsdl.TDocumented
          org.apache.cxf.wsdl.TExtensibleDocumented
              org.apache.cxf.wsdl.TOperation

    public class TOperation

extends TExtensibleDocumented

Java class for tOperation complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tOperation">
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/wsdl/}tExtensibleDocumented">
           <sequence>
             <choice>
               <group ref="{http://schemas.xmlsoap.org/wsdl/}request-response-or-one-way-operation"/>
               <group ref="{http://schemas.xmlsoap.org/wsdl/}solicit-response-or-notification-operation"/>
             </choice>
           </sequence>
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" />
           <attribute name="parameterOrder" type="{http://www.w3.org/2001/XMLSchema}NMTOKENS" />
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.String` | `name`
`protected java.util.List<java.lang.String>` | `parameterOrder`
`protected java.util.List<javax.xml.bind.JAXBElement<? extends TExtensibleAttributesDocumented>>` | `rest`

Fields inherited from class org.apache.cxf.wsdl.TExtensibleDocumented
`any`

Fields inherited from class org.apache.cxf.wsdl.TDocumented
`documentation`

Constructor Summary
`TOperation()`

Method Summary
`java.lang.String` | `getName()` Gets the value of the name property.
`java.util.List<java.lang.String>` | `getParameterOrder()` Gets the value of the parameterOrder property.
`java.util.List<javax.xml.bind.JAXBElement<? extends TExtensibleAttributesDocumented>>` | `getRest()` Gets the rest of the content model.
`boolean` | `isSetName()`
`boolean` | `isSetParameterOrder()`
`void` | `setName(java.lang.String value)` Sets the value of the name property.
`void` | `unsetParameterOrder()`

Methods inherited from class org.apache.cxf.wsdl.TExtensibleDocumented
`getAny, isSetAny, unsetAny`

Methods inherited from class org.apache.cxf.wsdl.TDocumented
`getDocumentation, isSetDocumentation, setDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rest

    protected java.util.List<javax.xml.bind.JAXBElement<? extends TExtensibleAttributesDocumented>> rest

### name

    protected java.lang.String name

### parameterOrder

    protected java.util.List<java.lang.String> parameterOrder

Constructor Detail

### TOperation

    public TOperation()

Method Detail

### getRest

    public java.util.List<javax.xml.bind.JAXBElement<? extends TExtensibleAttributesDocumented>> getRest()

  Gets the rest of the content model.

  You are getting this "catch-all" property because of the following reason: The field name "Output" is used by two different parts of a schema. See: line 217 of file:/x1/janstey/cxf-2.0.x-fuse/target/checkout/api/target/schemas/schemas/wsdl/wsdl.xsd line 209 of file:/x1/janstey/cxf-2.0.x-fuse/target/checkout/api/target/schemas/schemas/wsdl/wsdl.xsd

  To get rid of this property, apply a property customization to one of both of the following declarations to change their names: Gets the value of the rest property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rest property.

  For example, to add a new item, do as follows:

          getRest().add(newItem);

  Objects of the following type(s) are allowed in the list `JAXBElement``<``TParam``>` `JAXBElement``<``TParam``>` `JAXBElement``<``TFault``>`

### getName

    public java.lang.String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(java.lang.String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isSetName

    public boolean isSetName()

### getParameterOrder

    public java.util.List<java.lang.String> getParameterOrder()

  Gets the value of the parameterOrder property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameterOrder property.

  For example, to add a new item, do as follows:

          getParameterOrder().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### isSetParameterOrder

    public boolean isSetParameterOrder()

### unsetParameterOrder

    public void unsetParameterOrder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.